## org.apache.xerces.xs
Interface XSAttributeGroupDefinition

All Superinterfaces:
  XSObject

public interface XSAttributeGroupDefinition
extends XSObject

This interface represents the Attribute Group Definition schema component.

Method Summary
`XSAnnotation` `getAnnotation()` An annotation if it exists, otherwise `null`.
`XSObjectList` `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`XSObjectList` `getAttributeUses()` A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.
`XSWildcard` `getAttributeWildcard()` A [wildcard] if it exists, otherwise `null`.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getAttributeUses

    public XSObjectList getAttributeUses()

  A set of [attribute uses] if it exists, otherwise an empty `XSObjectList`.

### getAttributeWildcard

    public XSWildcard getAttributeWildcard()

  A [wildcard] if it exists, otherwise `null`.

### getAnnotation

    public XSAnnotation getAnnotation()

  An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

### getAnnotations

    public XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.